#include<bits/stdc++.h>
using namespace std;
int main(){
long long n;
cin>>n;
long long raboti=INT_MIN;
long long ras=0;
int a;
long long arr[100000];
for(int i=0; i<n; i++){
    cin>>arr[i];
}
for(int i=0; i<n; i++){
    if(arr[i]>arr[i-1] && arr[i]>arr[i+1]){


       ras++;
       if(ras==1){
        raboti=arr[i];
       }

    }


    if(ras==2){

a=arr[i]-raboti-1;
    cout<<a;
       return 0;

    }

}


cout<<"0";

return 0;
}
